Summary:	Colubrid - lightweight WSGI publisher
Summary(pl.UTF-8):	Colubrid - lekki moduł do publikowania WSGI
Name:		python-Colubrid
Version:	0.10
Release:	3
Group:		Development/Languages/Python
License:	GPL
Source0:	http://wsgiarea.pocoo.org/colubrid/dist/Colubrid-%{version}.tar.gz
# Source0-md5:	ce52e81d8971a22064e1418064dcb700
URL:		http://wsgiarea.pocoo.org/colubrid/
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	python-setuptools >= 0.6-0.a9.1
BuildRequires:	rpm-pythonprov
%pyrequires_eq  python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Colubrid is a WSGI publisher which simplifies Python web developement.
If you've ever created a WSGI application without a framework of an
request handler you know how hard this can be. For the full feature
list have a look at the Features
(http://wsgiarea.pocoo.org/colubrid/features/) page.

%description -l pl.UTF-8
Colubrid to moduł do publikowania WSGI ułatwiający tworzenie WWW w
Pythonie. Ci, którzy stworzyli kiedykolwiek aplikację WSGI bez
szkieletu procedury obsługi żądań, wiedzą, jakie to może być trudne.
Pełna lista możliwości jest na stronie Features
(http://wsgiarea.pocoo.org/colubrid/features/).

%prep
%setup -q -n Colubrid-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--single-version-externally-managed \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT%{py_sitescriptdir}/colubrid -name \*.py -exec rm -f \{\} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/Colubrid*
%{py_sitescriptdir}/colubrid*
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-Colubrid.git;a=log;h=master

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 8a6816f
- added BR: python-modules, rpm-pythonprov

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> ca6b305
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 71b8256
- release 2

* Sun Mar 15 2009 duddits <duddits@pld-linux.org> 89ce0ee
- up to 0.10

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> a3885f6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5c99cf2
- converted to UTF-8

* Thu May 11 2006 Jakub Bogusz <qboosh@pld-linux.org> 51d4436
- pl

* Sat May 06 2006 radzio <radzio@pld-linux.org> aa9ef9b
- initial release

